{ self, inputs, ... }:
let
  module = ./default.nix;
in
{
  clan.modules = {
    grafana = module;
  };
  perSystem =
    { ... }:
    {
      clan.nixosTests.service-grafana = {
        imports = [ ./tests/vm/default.nix ];
        _module.args = { inherit self inputs; };

        clan.modules."@clan/grafana" = module;
      };
    };
}
